org.apache.poi.hwpf.converter

## Class HtmlDocumentFacade

- java.lang.Object
- - org.apache.poi.hwpf.converter.HtmlDocumentFacade

-     @Beta
      public class HtmlDocumentFacade
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.w3c.dom.Element` | `body`
    `protected org.w3c.dom.Document` | `document`
    `protected org.w3c.dom.Element` | `head`
    `protected org.w3c.dom.Element` | `html`
    `protected org.w3c.dom.Element` | `title`
    `protected org.w3c.dom.Text` | `titleText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDocumentFacade(org.w3c.dom.Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthor(java.lang.String value)`
    `void` | `addDescription(java.lang.String value)`
    `void` | `addKeywords(java.lang.String value)`
    `void` | `addMeta(java.lang.String name, java.lang.String value)`
    `void` | `addStyleClass(org.w3c.dom.Element element, java.lang.String classNamePrefix, java.lang.String style)`
    `protected java.lang.String` | `buildStylesheet(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> prefixToMapOfStyles)`
    `org.w3c.dom.Element` | `createBlock()`
    `org.w3c.dom.Element` | `createBookmark(java.lang.String name)`
    `org.w3c.dom.Element` | `createHeader1()`
    `org.w3c.dom.Element` | `createHeader2()`
    `org.w3c.dom.Element` | `createHyperlink(java.lang.String internalDestination)`
    `org.w3c.dom.Element` | `createImage(java.lang.String src)`
    `org.w3c.dom.Element` | `createLineBreak()`
    `org.w3c.dom.Element` | `createListItem()`
    `org.w3c.dom.Element` | `createOption(java.lang.String value, boolean selected)`
    `org.w3c.dom.Element` | `createParagraph()`
    `org.w3c.dom.Element` | `createSelect()`
    `org.w3c.dom.Element` | `createTable()`
    `org.w3c.dom.Element` | `createTableBody()`
    `org.w3c.dom.Element` | `createTableCell()`
    `org.w3c.dom.Element` | `createTableColumn()`
    `org.w3c.dom.Element` | `createTableColumnGroup()`
    `org.w3c.dom.Element` | `createTableHeader()`
    `org.w3c.dom.Element` | `createTableHeaderCell()`
    `org.w3c.dom.Element` | `createTableRow()`
    `org.w3c.dom.Text` | `createText(java.lang.String data)`
    `org.w3c.dom.Element` | `createUnorderedList()`
    `org.w3c.dom.Element` | `getBody()`
    `org.w3c.dom.Document` | `getDocument()`
    `org.w3c.dom.Element` | `getHead()`
    `java.lang.String` | `getOrCreateCssClass(java.lang.String classNamePrefix, java.lang.String style)`
    `java.lang.String` | `getTitle()`
    `void` | `setTitle(java.lang.String titleText)`
    `void` | `updateStylesheet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### body

          protected final org.w3c.dom.Element body

    - #### document

          protected final org.w3c.dom.Document document

    - #### head

          protected final org.w3c.dom.Element head

    - #### html

          protected final org.w3c.dom.Element html

    - #### title

          protected org.w3c.dom.Element title

    - #### titleText

          protected org.w3c.dom.Text titleText

  - ### Constructor Detail

    - #### HtmlDocumentFacade

          public HtmlDocumentFacade(org.w3c.dom.Document document)

  - ### Method Detail

    - #### addAuthor

          public void addAuthor(java.lang.String value)

    - #### addDescription

          public void addDescription(java.lang.String value)

    - #### addKeywords

          public void addKeywords(java.lang.String value)

    - #### addMeta

          public void addMeta(java.lang.String name,
                              java.lang.String value)

    - #### addStyleClass

          public void addStyleClass(org.w3c.dom.Element element,
                                    java.lang.String classNamePrefix,
                                    java.lang.String style)

    - #### buildStylesheet

          protected java.lang.String buildStylesheet(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> prefixToMapOfStyles)

    - #### createBlock

          public org.w3c.dom.Element createBlock()

    - #### createBookmark

          public org.w3c.dom.Element createBookmark(java.lang.String name)

    - #### createHeader1

          public org.w3c.dom.Element createHeader1()

    - #### createHeader2

          public org.w3c.dom.Element createHeader2()

    - #### createHyperlink

          public org.w3c.dom.Element createHyperlink(java.lang.String internalDestination)

    - #### createImage

          public org.w3c.dom.Element createImage(java.lang.String src)

    - #### createLineBreak

          public org.w3c.dom.Element createLineBreak()

    - #### createListItem

          public org.w3c.dom.Element createListItem()

    - #### createOption

          public org.w3c.dom.Element createOption(java.lang.String value,
                                                  boolean selected)

    - #### createParagraph

          public org.w3c.dom.Element createParagraph()

    - #### createSelect

          public org.w3c.dom.Element createSelect()

    - #### createTable

          public org.w3c.dom.Element createTable()

    - #### createTableBody

          public org.w3c.dom.Element createTableBody()

    - #### createTableCell

          public org.w3c.dom.Element createTableCell()

    - #### createTableColumn

          public org.w3c.dom.Element createTableColumn()

    - #### createTableColumnGroup

          public org.w3c.dom.Element createTableColumnGroup()

    - #### createTableHeader

          public org.w3c.dom.Element createTableHeader()

    - #### createTableHeaderCell

          public org.w3c.dom.Element createTableHeaderCell()

    - #### createTableRow

          public org.w3c.dom.Element createTableRow()

    - #### createText

          public org.w3c.dom.Text createText(java.lang.String data)

    - #### createUnorderedList

          public org.w3c.dom.Element createUnorderedList()

    - #### getBody

          public org.w3c.dom.Element getBody()

    - #### getDocument

          public org.w3c.dom.Document getDocument()

    - #### getHead

          public org.w3c.dom.Element getHead()

    - #### getOrCreateCssClass

          public java.lang.String getOrCreateCssClass(java.lang.String classNamePrefix,
                                                      java.lang.String style)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String titleText)

    - #### updateStylesheet

          public void updateStylesheet()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.